## GstSample GstSample |

## Functions

GstBuffer * | gst_sample_get_buffer ()
GstBufferList * | gst_sample_get_buffer_list ()
GstCaps * | gst_sample_get_caps ()
const GstStructure * | gst_sample_get_info ()
GstSegment * | gst_sample_get_segment ()
void | gst_sample_set_buffer_list ()
GstSample * | gst_sample_new ()
GstSample * | gst_sample_ref ()
void | gst_sample_unref ()
GstSample * | gst_sample_copy ()

## Types and Values

| GstSample

## Object Hierarchy

        GBoxed
        ╰── GstSample

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_sample_get_buffer ()

    GstBuffer *
    gst_sample_get_buffer (GstSample *sample);

### gst_sample_get_buffer_list ()

    GstBufferList *
    gst_sample_get_buffer_list (GstSample *sample);

### gst_sample_get_caps ()

    GstCaps *
    gst_sample_get_caps (GstSample *sample);

### gst_sample_get_info ()

    const GstStructure *
    gst_sample_get_info (GstSample *sample);

### gst_sample_get_segment ()

    GstSegment *
    gst_sample_get_segment (GstSample *sample);

### gst_sample_set_buffer_list ()

    void
    gst_sample_set_buffer_list (GstSample *sample,
                                GstBufferList *buffer_list);

### gst_sample_new ()

    GstSample *
    gst_sample_new (GstBuffer *buffer,
                    GstCaps *caps,
                    const GstSegment *segment,
                    GstStructure *info);

### gst_sample_ref ()

    GstSample *
    gst_sample_ref (GstSample *sample);

### gst_sample_unref ()

    void
    gst_sample_unref (GstSample *sample);

### gst_sample_copy ()

    GstSample *
    gst_sample_copy (const GstSample *buf);

## Types and Values

### GstSample

    typedef struct _GstSample GstSample;